<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Activity 6</title>
	<script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
	
	<script>
	// Define a User Object with a Constructor
	function User(firstName, lastName, age) {
		this.firstName = firstName;
		this.lastName = lastName;
		this.age = age;
	};
	
	// Define an array of Users and initialize
	var users = [];
	users.push(new User("John", "Lennon", 80),
				new User("Paul", "McCartney", 78), 
				new User("George", "Harrison", 53), 
				new User("Ringo", "Starr", 80));
	
	    // Use jQuery document.ready() and pass it an anonymous method
	    $(document).ready(function() {document.writeln("This is my first jQuery code.<br/>");});
	
	    // Define a simple function in JavaScript
	    function sayHello() {
	        document.writeln("Hello class and welcome to CST-120!<br/>");
	    }
	
	    // Use jQuery document.ready() and pass it our sayHello() method
	    $(document).ready(sayHello);
	    
		function clicked() {
			alert("I was clicked");
		};
		
		// Define a function to write all Users into a table row
		function displayUsers() {
			
			// Dynamically create all the rows in the table (note: this could simply be done with innerHTML attribute versus using jQuery)
			var x = 0; // Row count
			for(var user of users) { // Loop over the Users Array
			
				var rowstyle = x & 1 ? "#FFFFFF" : "#F0F0F0"; // Alternate row color
				var markup = "<tr>" +  // Build a table row and columns HTML markup
				"<td>" + user.firstName + "</td>" +
				"<td>" + user.lastName + "</td>" +
				"<td>" + user.age + "</td>" +
				"</tr>";

				$("#users").find("#tbody").append(markup); // User jQuery append() to insert the row
				$("#users").find("#tbody").find("tr").last().attr("id", x); // User jQuery attr() to set the row id
				$("#users").find("#tbody").find("tr").last().attr("align", "center"); // User jQuery attr() to set the row align
				$("#users").find("#tbody").find("tr").last().css("background-color", rowstyle); // User jQuery css() to set the row color
				$("#users").find("#tbody").find("tr").last().find("td").get(0).id = x + "_0"; // User jQuery attr() to set the unique column 0 id
				$("#users").find("#tbody").find("tr").last().find("td").get(1).id = x + "_1"; // User jQuery attr() to set the unique column 1 id
				$("#users").find("#tbody").find("tr").last().find("td").get(2).id = x + "_2"; // User jQuery attr() to set the unique column 2 id
				++x; // Next row
			}
		
			$("#0_1").bind('click', clicked); // User jQuery bind() to set the click handler
		};
		

		
		// Update our User table using jQuery
		$(document).ready(displayUsers); // Display Users when the document is ready
	</script>
</head>

<body>
	<table id="users" width="50%" border="1">
		<thead>
			<tr style="background-color: #A0A0A0">
				<th width="33%">First Name</th>
				<th width="33%">Last Name</th>
				<th width="33%">Age</th>
			</tr>
		</thead>
		<tbody>
			<tr align="center">
				<td id="fn">?</td>
				<td id="ln">?</td>
				<td id="age">?</td>
			</tr>
		</tbody>
	</table>
</body>
</html>
